Bug 616261 - Bundle Creation Wizard: Error icon for Upload does not disappear, breaks, when switching to URL/Recipe
Summary: Bundle Creation Wizard: Error icon for Upload does not disappear, breaks, whe...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Provisioning   
(Show other bugs)
Version: 3.0.0
Hardware: All All
high
low vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-provisioning
TreeView+ depends on / blocked
 
Reported: 2010-07-19 23:15 UTC by Corey Welton
Modified: 2011-05-24 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-24 01:10:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing broken img. (23.37 KB, image/png)
2010-07-19 23:18 UTC, Corey Welton
no flags Details

Description Corey Welton 2010-07-19 23:15:09 UTC
Description of problem:

When a user attempts to upload an invalid Bundle, s/he is presented with a red (!) icon indicating that there was a problem with the upload.  Upon switching to URL or Recipe options, the icon disappears and is replaced with a broken object.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1.  Create a text file called "crap.txt" and fill it with gibberish.
2.  Administration > Content > Bundles > New
3.  Choose the "Upload" option and select your "crap.txt" file.
4.  Hit "Next".  RHQ will attempt to parse your text file and return an appropriate error.
5.  Switch to either the URL or Recipe radio button.
6. View results
  
Actual results:

Error Icon next to "Upload" does not cleanly go away -- it returns a broken img. (see forthcoming screenshot)

Expected results:
Clean UI.

Additional info:

Comment 1 Corey Welton 2010-07-19 23:18:20 UTC
Created attachment 433031 [details]
screenshot showing broken img.

Comment 2 John Mazzitelli 2010-12-14 19:43:13 UTC
this is the image URL:

/availability/availability_grey_16_Disabled.png

we don't have or use the GWT "_Disabled" images. We need to get the smartgwt component to not use _Disabled image when the component is disabled.

Comment 3 John Mazzitelli 2010-12-14 19:45:33 UTC
there's other problems here. We should have the radio button switch if you enter a value in the "upload recipe" component. The "upload recipe" upload component isn't rendering properly either.

Comment 4 John Mazzitelli 2010-12-15 04:04:55 UTC
checked in a few changes so this works a bit better.

now the upload buttons and icons should be rendering properly and getting enabled/disabled at the appropriate times.

to test, follow the same procedures as in description of this issue:

Steps to Reproduce:
1.  Create a text file called "crap.txt" and fill it with gibberish.
2.  Administration > Content > Bundles > New
3.  Choose the "Upload" option and select your "crap.txt" file.
4.  Hit "Next".  RHQ will attempt to parse your text file and return an
appropriate error.
5.  Switch to either the URL or Recipe radio button.
6. View results

Also, before uploading anything, click different radio buttons (URL, upload, and recipe options) and see that components get enabled and disabled appropriate.

Comment 5 Corey Welton 2011-03-14 20:50:11 UTC
Verified.

Comment 6 Corey Welton 2011-05-24 01:10:28 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 7 Corey Welton 2011-05-24 01:10:44 UTC
Bookkeeping - closing bug - fixed in recent release.


Note You need to log in before you can comment on or make changes to this bug.